View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17414Bug reportsImport/Exportpublic2021-08-04 15:18
Reportermrozpara Assigned Togalads  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.x 
Summary17414: Array dual scale - responses export issue
DescriptionWhen trying to export with "Full answers" question type: Array Dual scall - I'm getting error:

Uncaught ReferenceError: sMsgColumnCount is not defined
    at updateColumnCountDisplay (exportresults.js:14)
    at HTMLDocument.<anonymous> (exportresults.js:6)
    at HTMLDocument.dispatch (jquery-3.5.1.min.js:2)
    at HTMLDocument.v.handle (jquery-3.5.1.min.js:2)
    at Object.trigger (jquery-3.5.1.min.js:2)
    at s.fn.init.triggerHandler (jquery-3.5.1.min.js:2)
    at HTMLDocument.<anonymous> (jquery-migrate-3.3.2.min.js:2)
    at e (jquery-3.5.1.min.js:2)
    at t (jquery-3.5.1.min.js:2)

I'm able to export results as "Answer codes" without any problems.
Steps To ReproduceTry to export survey results with question type "Array Dual Scale"
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)Version 5.0.7+210628
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionDatabase server version 5.5.5-10.3.29-MariaDB-0+deb10u1
Server OS (if known) Linux IPSIRsys 4.19.0-16-amd64 #1 SMP Debian 4.19.181-1 (2021-03-19) x86_64
Webserver software & version (if known) Apache/2.4.38 (Debian)
PHP Version 8.0.7

Relationships

related to 17415 feedbackgalads PHP Notice with array dual scale, and width of answers part updated 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-07-06 08:29

developer   ~65213

Can you send a simple lsa (Survey archive) file with only one question (in English if possible) ? thank you.
mrozpara

mrozpara

2021-07-06 09:04

reporter   ~65214

Attached file - export of problematic question (lsq file).
limesurvey_question_1089.lsq (13,637 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Question</LimeSurveyDocType>
 <DBVersion>449</DBVersion>
 <languages>
  <language>pl</language>
 </languages>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>encrypted</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1089]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[593643]]></sid>
    <gid><![CDATA[29]]></gid>
    <type><![CDATA[1]]></type>
    <title><![CDATA[G02Q08]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[593643]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[1]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>id</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>language</fieldname>
   <fieldname>script</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1090]]></qid>
    <parent_qid><![CDATA[1089]]></parent_qid>
    <sid><![CDATA[593643]]></sid>
    <gid><![CDATA[29]]></gid>
    <type><![CDATA[1]]></type>
    <title><![CDATA[1]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <id><![CDATA[1090]]></id>
    <question><![CDATA[Obniżenie nastroju]]></question>
    <help/>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <qid><![CDATA[1398]]></qid>
    <parent_qid><![CDATA[1089]]></parent_qid>
    <sid><![CDATA[593643]]></sid>
    <gid><![CDATA[29]]></gid>
    <type><![CDATA[1]]></type>
    <title><![CDATA[2]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <id><![CDATA[1398]]></id>
    <question><![CDATA[Depresja]]></question>
    <help/>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <qid><![CDATA[1399]]></qid>
    <parent_qid><![CDATA[1089]]></parent_qid>
    <sid><![CDATA[593643]]></sid>
    <gid><![CDATA[29]]></gid>
    <type><![CDATA[1]]></type>
    <title><![CDATA[3]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <id><![CDATA[1399]]></id>
    <question><![CDATA[Osamotnienie]]></question>
    <help/>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <qid><![CDATA[1400]]></qid>
    <parent_qid><![CDATA[1089]]></parent_qid>
    <sid><![CDATA[593643]]></sid>
    <gid><![CDATA[29]]></gid>
    <type><![CDATA[1]]></type>
    <title><![CDATA[4]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[4]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <id><![CDATA[1400]]></id>
    <question><![CDATA[Agresja wobec innych]]></question>
    <help/>
    <language><![CDATA[pl]]></language>
   </row>
  </rows>
 </subquestions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>language</fieldname>
   <fieldname>script</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[1089]]></id>
    <qid><![CDATA[1089]]></qid>
    <question><![CDATA[<p><span style="color:#000000;background-color:transparent;"><strong>8. Poniżej proszę zaznaczyć czy poniższe objawy pojawiły się u Pana/i przed pandemią lub w okresie trwania pandemii.</strong></span></p>]]></question>
    <help/>
    <language><![CDATA[pl]]></language>
    <script/>
   </row>
  </rows>
 </question_l10ns>
 <answers>
  <fields>
   <fieldname>aid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>code</fieldname>
   <fieldname>sortorder</fieldname>
   <fieldname>assessment_value</fieldname>
   <fieldname>scale_id</fieldname>
  </fields>
  <rows>
   <row>
    <aid><![CDATA[1520]]></aid>
    <qid><![CDATA[1089]]></qid>
    <code><![CDATA[1]]></code>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[2036]]></aid>
    <qid><![CDATA[1089]]></qid>
    <code><![CDATA[2]]></code>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[2037]]></aid>
    <qid><![CDATA[1089]]></qid>
    <code><![CDATA[3]]></code>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[2038]]></aid>
    <qid><![CDATA[1089]]></qid>
    <code><![CDATA[1]]></code>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[1]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[2039]]></aid>
    <qid><![CDATA[1089]]></qid>
    <code><![CDATA[2]]></code>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[1]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[2040]]></aid>
    <qid><![CDATA[1089]]></qid>
    <code><![CDATA[3]]></code>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[1]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[2041]]></aid>
    <qid><![CDATA[1089]]></qid>
    <code><![CDATA[4]]></code>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[1]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[2042]]></aid>
    <qid><![CDATA[1089]]></qid>
    <code><![CDATA[5]]></code>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[1]]></scale_id>
   </row>
  </rows>
 </answers>
 <answer_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>aid</fieldname>
   <fieldname>answer</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[1520]]></id>
    <aid><![CDATA[1520]]></aid>
    <answer><![CDATA[Tak]]></answer>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <id><![CDATA[2038]]></id>
    <aid><![CDATA[2038]]></aid>
    <answer><![CDATA[Tak, silniej niż przed pandemią]]></answer>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <id><![CDATA[2036]]></id>
    <aid><![CDATA[2036]]></aid>
    <answer><![CDATA[Nie]]></answer>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <id><![CDATA[2039]]></id>
    <aid><![CDATA[2039]]></aid>
    <answer><![CDATA[Tak, w takim samym nasileniu co przed pandemią]]></answer>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <id><![CDATA[2037]]></id>
    <aid><![CDATA[2037]]></aid>
    <answer><![CDATA[Trudno powiedzieć]]></answer>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <id><![CDATA[2040]]></id>
    <aid><![CDATA[2040]]></aid>
    <answer><![CDATA[Tak, słabiej niż przed pandemią]]></answer>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <id><![CDATA[2041]]></id>
    <aid><![CDATA[2041]]></aid>
    <answer><![CDATA[Nie wystąpiły]]></answer>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <id><![CDATA[2042]]></id>
    <aid><![CDATA[2042]]></aid>
    <answer><![CDATA[Trudno powiedzieć]]></answer>
    <language><![CDATA[pl]]></language>
   </row>
  </rows>
 </answer_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[answer_width]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[dropdown_prepostfix]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[dropdown_prepostfix]]></attribute>
    <value/>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[dropdown_separators]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[dualscale_headerA]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[dualscale_headerA]]></attribute>
    <value><![CDATA[Czy wystąpiły przed pandemią]]></value>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[dualscale_headerB]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[dualscale_headerB]]></attribute>
    <value><![CDATA[Czy wystąpiły w trakcie pandemii]]></value>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[max_answers]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[min_answers]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[pl]]></language>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[question_template]]></attribute>
    <value><![CDATA[core]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[repeat_headings]]></attribute>
    <value/>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[1089]]></qid>
    <attribute><![CDATA[use_dropdown]]></attribute>
    <value><![CDATA[0]]></value>
   </row>
  </rows>
 </question_attributes>
</document>
limesurvey_question_1089.lsq (13,637 bytes)   
DenisChenu

DenisChenu

2021-07-06 09:05

developer   ~65215

No please : LSS or better : Survey archive (lsa)
mrozpara

mrozpara

2021-07-06 09:39

reporter   ~65217

LSS file.

Is it possible to export Survey into LSA without answers? Or somehow limit it to one question only?
DenisChenu

DenisChenu

2021-07-06 09:40

developer   ~65218

The easiest : copy your survey , delete all other question … activate, test one time.

It's something that must be done : by you or by dev …
DenisChenu

DenisChenu

2021-07-06 09:50

developer   ~65219

504 Gateway Time-out when import your survey …
PLEASE : only one question …

I create a lsa (from 3.X) and test.
Export to CSV is bad : show O in place of real text.
With debug 2 (and HTML export) : receive an error
With debug 2 and CSV : nothing seems to happen but when checking : 504 Gateway Time-out
survey_archive_91424.lsa (26,497 bytes)
PHP warning.html (22,957 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PHP warning</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP warning</h1>

	<p class="message">
		Illegal string offset 'answer'	</p>

	<div class="source">
		<p class="file">/data/webdev/master/application/helpers/admin/export/SurveyObj.php(130)</p>
		<div class="code"><pre><span class="ln">118</span> 
<span class="ln">119</span>             case Question::QT_R_RANKING_STYLE:   //RANKING TYPE
<span class="ln">120</span>                 $fullAnswer = $answer;
<span class="ln">121</span>                 break;
<span class="ln">122</span> 
<span class="ln">123</span>             case Question::QT_1_ARRAY_MULTISCALE:   //Array dual scale
<span class="ln">124</span>                 if (mb_substr($fieldName, -1) == 0) {
<span class="ln">125</span>                     $answers = $this-&gt;getAnswers($questionId, 0);
<span class="ln">126</span>                 } else {
<span class="ln">127</span>                     $answers = $this-&gt;getAnswers($questionId, 1);
<span class="ln">128</span>                 }
<span class="ln">129</span>                 if (array_key_exists($answerCode, $answers)) {
<span class="error"><span class="ln error-ln">130</span>                     $fullAnswer = $answers[$answerCode]['answer'];
</span><span class="ln">131</span>                 } else {
<span class="ln">132</span>                     $fullAnswer = null;
<span class="ln">133</span>                 }
<span class="ln">134</span>                 break;
<span class="ln">135</span> 
<span class="ln">136</span>             case Question::QT_L_LIST_DROPDOWN:   //DROPDOWN LIST
<span class="ln">137</span>             case Question::QT_EXCLAMATION_LIST_DROPDOWN:
<span class="ln">138</span>                 if (mb_substr($fieldName, -5, 5) == 'other') {
<span class="ln">139</span>                     $fullAnswer = $answerCode;
<span class="ln">140</span>                 } else {
<span class="ln">141</span>                     if ($answerCode == '-oth-') {
<span class="ln">142</span>                         $fullAnswer = $translator-&gt;translate('Other', $sLanguageCode);
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/helpers/admin/export/Writer.php(185): <strong>SurveyObj</strong>-&gt;<strong>getFullAnswer</strong>("91424X16X285SQ01#1", "A2", Translator, "fr")				</div>

				<div class="code"><pre><span class="ln">180</span>      * @return string
<span class="ln">181</span>      */
<span class="ln">182</span>     public function getLongAnswer(SurveyObj $oSurvey, FormattingOptions $oOptions, $fieldName, $sValue)
<span class="ln">183</span>     {
<span class="ln">184</span>         return $this-&gt;transformResponseValue(
<span class="error"><span class="ln error-ln">185</span>             $oSurvey-&gt;getFullAnswer($fieldName, $sValue, $this-&gt;translator, $this-&gt;languageCode),
</span><span class="ln">186</span>             $oSurvey-&gt;fieldMap[$fieldName]['type'],
<span class="ln">187</span>             $oOptions,
<span class="ln">188</span>             $fieldName
<span class="ln">189</span>         );
<span class="ln">190</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/helpers/admin/export/Writer.php(323): <strong>Writer</strong>-&gt;<strong>getLongAnswer</strong>(SurveyObj, FormattingOptions, "91424X16X285SQ01#1", "A2")				</div>

				<div class="code"><pre><span class="ln">318</span>             foreach ($oOptions-&gt;selectedColumns as $column) {
<span class="ln">319</span>                 $value = $aResponse[$column];
<span class="ln">320</span>                 if (isset($oSurvey-&gt;fieldMap[$column]) &amp;&amp; $oSurvey-&gt;fieldMap[$column]['type'] != 'answer_time' &amp;&amp; $oSurvey-&gt;fieldMap[$column]['type'] != 'page_time' &amp;&amp; $oSurvey-&gt;fieldMap[$column]['type'] != 'interview_time') {
<span class="ln">321</span>                     switch ($oOptions-&gt;answerFormat) {
<span class="ln">322</span>                         case 'long':
<span class="error"><span class="ln error-ln">323</span>                             $elementArray[] = $this-&gt;getLongAnswer($oSurvey, $oOptions, $column, $value);
</span><span class="ln">324</span>                             break;
<span class="ln">325</span>                         default:
<span class="ln">326</span>                         case 'short':
<span class="ln">327</span>                             $elementArray[] = $this-&gt;getShortAnswer($oSurvey, $oOptions, $column, $value);
<span class="ln">328</span>                             break;
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/helpers/admin/exportresults_helper.php(108): <strong>Writer</strong>-&gt;<strong>write</strong>(SurveyObj, "fr", FormattingOptions, true)				</div>

				<div class="code"><pre><span class="ln">103</span>         $surveyDao = new SurveyDao();
<span class="ln">104</span>         $survey = $surveyDao-&gt;loadSurveyById($iSurveyId, $sLanguageCode, $oOptions);
<span class="ln">105</span>         $writer-&gt;init($survey, $sLanguageCode, $oOptions);
<span class="ln">106</span>         
<span class="ln">107</span>         $surveyDao-&gt;loadSurveyResults($survey, $oOptions-&gt;responseMinRecord, $oOptions-&gt;responseMaxRecord, $sFilter, $oOptions-&gt;responseCompletionState, $oOptions-&gt;selectedColumns, $oOptions-&gt;aResponses);
<span class="error"><span class="ln error-ln">108</span>         $writer-&gt;write($survey, $sLanguageCode, $oOptions, true);
</span><span class="ln">109</span>         $result = $writer-&gt;close();
<span class="ln">110</span>         
<span class="ln">111</span>         // Close resultset if needed
<span class="ln">112</span>         if ($survey-&gt;responses instanceof CDbDataReader) {
<span class="ln">113</span>             $survey-&gt;responses-&gt;close();
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/controllers/admin/export.php(340): <strong>ExportSurveyResultsService</strong>-&gt;<strong>exportResponses</strong>("91424", "fr", "html", FormattingOptions, ...)				</div>

				<div class="code"><pre><span class="ln">335</span>         } else {
<span class="ln">336</span>             $sFilter = '';
<span class="ln">337</span>         }
<span class="ln">338</span> 
<span class="ln">339</span>         viewHelper::disableHtmlLogging();
<span class="error"><span class="ln error-ln">340</span>         $resultsService-&gt;exportResponses($iSurveyID, $explang, $sExportType, $options, $sFilter);
</span><span class="ln">341</span> 
<span class="ln">342</span>         Yii::app()-&gt;end();
<span class="ln">343</span>     }
<span class="ln">344</span> 
<span class="ln">345</span>     /*
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>export</strong>-&gt;<strong>exportresults</strong>()				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/actions/CAction.php(115): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(export, array())				</div>

				<div class="code"><pre><span class="ln">110</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">111</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">112</span>             else
<span class="ln">113</span>                 return false;
<span class="ln">114</span>         }
<span class="error"><span class="ln error-ln">115</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">116</span>         return true;
<span class="ln">117</span>     }
<span class="ln">118</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/core/Survey_Common_Action.php(86): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(export,
 ReflectionMethod, array("r" =&gt; 
"admin/export/sa/exportresults/surveyid/91424", "sa" =&gt; 
"exportresults", "surveyid" =&gt; "91424", "iSurveyId" =&gt; "91424", 
...))				</div>

				<div class="code"><pre><span class="ln">81</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">82</span>         }
<span class="ln">83</span> 
<span class="ln">84</span>         // We're all good to go, let's execute it
<span class="ln">85</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">86</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">87</span>     }
<span class="ln">88</span> 
<span class="ln">89</span>     /**
<span class="ln">90</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">91</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CController.php(308): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("r"
 =&gt; "admin/export/sa/exportresults/surveyid/91424", "sa" =&gt; 
"exportresults", "surveyid" =&gt; "91424", "iSurveyId" =&gt; "91424", 
...))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(export)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(export, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/application/controllers/AdminController.php(202): <strong>CController</strong>-&gt;<strong>run</strong>("export")				</div>

				<div class="code"><pre><span class="ln">197</span>         }
<span class="ln">198</span> 
<span class="ln">199</span>         $this-&gt;runModuleController($action);
<span class="ln">200</span> 
<span class="ln">201</span> 
<span class="error"><span class="ln error-ln">202</span>         return parent::run($action);
</span><span class="ln">203</span>     }
<span class="ln">204</span> 
<span class="ln">205</span>     /**
<span class="ln">206</span>      * Starting with LS4, 3rd party developper can extends any of the LimeSurve controllers.
<span class="ln">207</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("export")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/export/sa/exportresults/surveyid/91424")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/data/webdev/master/index.php(192): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">187</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">188</span> 
<span class="ln">189</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">190</span> 
<span class="ln">191</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">192</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">193</span> 
<span class="ln">194</span> /* End of file index.php */
<span class="ln">195</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2021-07-06 09:44:32 nginx/1.14.2 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.24-dev	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



<div id="grammalecte_menu_main_button_shadow_host" style="width: 0px; height: 0px;"></div></body><script src="PHP%20warning_fichiers/api.js"></script></html>
PHP warning.html (22,957 bytes)   
mrozpara

mrozpara

2021-07-06 09:58

reporter   ~65220

Done.
Exported LSS, imported as new survey, provided one response.
When trying to export responses - the same error message as in the original survey
DenisChenu

DenisChenu

2021-07-06 10:20

developer   ~65221

Can not reproduce on CSV and debug=0

can you check if answer text is OK ?
results-survey128762.csv (23,545 bytes)   
ID odpowiedzi,Data zakończenia,Ostatnia strona,Język początkowy,Wartość randomizacji,Data rozpoczęcia,Data ostatniej akcji,1. Czy pandemia wprowadziła wiele zmian w Pana/i życiu?,2. Czy pandemia wpłynęła na Pana/i relacje z rodziną? ,3. Czy pandemia wpłynęła na Pana/i relacje ze znajomymi i przyjaciółmi? ,"4. Czy pandemia miała wpływ na relację z osobami, z którymi Pan/i studiuje? ",5. Czy poniższe sytuacje w ciągu ostatniego roku Pana/i dotyczyły?  [Mieszkanie z rodzicami/współlokatorami/partnerem],5. Czy poniższe sytuacje w ciągu ostatniego roku Pana/i dotyczyły?  [Wynajmowanie mieszkania/pokoju w akademiku],5. Czy poniższe sytuacje w ciągu ostatniego roku Pana/i dotyczyły?  [Brak środków na utrzymanie wynikające z pogorszenia sytuacji  finansowej],5. Czy poniższe sytuacje w ciągu ostatniego roku Pana/i dotyczyły?  [Powrót do domu rodzinnego],5. Czy poniższe sytuacje w ciągu ostatniego roku Pana/i dotyczyły?  [Mieszkanie z innymi osobami uczącymi się/pracującymi w trybie zdalnym],5. Czy poniższe sytuacje w ciągu ostatniego roku Pana/i dotyczyły?  [Utrata pracy],"5. Czy poniższe sytuacje w ciągu ostatniego roku Pana/i dotyczyły?  [Korzystanie z różnego rodzaju zapomóg np. pożyczka, świadczenie postojowe itp. ]",6. Czy odczuwa Pan/i obawę przed zachorowaniem na COVID-19?,7. Czy odczuwa Pan/Pani obawę przed zachorowaniem na COVID-19 kogoś z Pana/i bliskich?,8. Poniżej proszę zaznaczyć czy poniższe objawy pojawiły się u Pana/i przed pandemią lub w okresie trwania pandemii. [Obniżenie nastroju][Skala 1],8. Poniżej proszę zaznaczyć czy poniższe objawy pojawiły się u Pana/i przed pandemią lub w okresie trwania pandemii. [Obniżenie nastroju][Skala 2],8. Poniżej proszę zaznaczyć czy poniższe objawy pojawiły się u Pana/i przed pandemią lub w okresie trwania pandemii. [Depresja][Skala 1],8. Poniżej proszę zaznaczyć czy poniższe objawy pojawiły się u Pana/i przed pandemią lub w okresie trwania pandemii. [Depresja][Skala 2],8. Poniżej proszę zaznaczyć czy poniższe objawy pojawiły się u Pana/i przed pandemią lub w okresie trwania pandemii. [Osamotnienie][Skala 1],8. Poniżej proszę zaznaczyć czy poniższe objawy pojawiły się u Pana/i przed pandemią lub w okresie trwania pandemii. [Osamotnienie][Skala 2],8. Poniżej proszę zaznaczyć czy poniższe objawy pojawiły się u Pana/i przed pandemią lub w okresie trwania pandemii. [Agresja wobec innych][Skala 1],8. Poniżej proszę zaznaczyć czy poniższe objawy pojawiły się u Pana/i przed pandemią lub w okresie trwania pandemii. [Agresja wobec innych][Skala 2],"9. Poniżej proszę zaznaczyć, w jakim stopniu poniższe stwierdzenia opisują Pan/i uczucia w trakcie trwania pandemii.  [Czułam/em się samotny, pozbawiony wsparcia innych.]","9. Poniżej proszę zaznaczyć, w jakim stopniu poniższe stwierdzenia opisują Pan/i uczucia w trakcie trwania pandemii.  [Czułam/em się smutny, brakowało mi motywacji do życia.]","9. Poniżej proszę zaznaczyć, w jakim stopniu poniższe stwierdzenia opisują Pan/i uczucia w trakcie trwania pandemii.  [Odczuwałam/em strach.]","9. Poniżej proszę zaznaczyć, w jakim stopniu poniższe stwierdzenia opisują Pan/i uczucia w trakcie trwania pandemii.  [Bywały momenty, że miałam/em dosyć. ]","9. Poniżej proszę zaznaczyć, w jakim stopniu poniższe stwierdzenia opisują Pan/i uczucia w trakcie trwania pandemii.  [Mocno odczuwałam/em brak realnych kontaktów z innymi.]","9. Poniżej proszę zaznaczyć, w jakim stopniu poniższe stwierdzenia opisują Pan/i uczucia w trakcie trwania pandemii.  [Był to dla mnie okres większego stresu.]","9. Poniżej proszę zaznaczyć, w jakim stopniu poniższe stwierdzenia opisują Pan/i uczucia w trakcie trwania pandemii.  [Byłam/em zadowolona/y ze zmian w moim życiu, jakie wiązały się z wybuchem pandemii.]","9. Poniżej proszę zaznaczyć, w jakim stopniu poniższe stwierdzenia opisują Pan/i uczucia w trakcie trwania pandemii.  [Chciałam/em być sam(a).]","10. Poniżej proszę zaznaczyć stwierdzenie, które dotyczy Pana/i w związku z korzystaniem z pomocy psychologicznej.","10. Poniżej proszę zaznaczyć stwierdzenie, które dotyczy Pana/i w związku z korzystaniem z pomocy psychologicznej. [Inne]","11. Poniżej proszę zaznaczyć, czy stan Pana/i zdrowia psychicznego zmienił się w okresie trwania pandemii",12. Poniżej proszę zaznaczyć czy stan Pana/i zdrowia fizycznego zmienił się w okresie trwania pandemii.,"13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Nadwaga]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Niedowaga]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Senność]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Brak sił fizycznych]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Częste bóle głowy]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Bóle kręgosłupa]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Pogorszenie jakości widzenia]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Chroniczne zmęczenie]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Problemy z koncentracją]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Problemy z pamięcią]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Omdlenia]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Dolegliwości żołądkowo-jelitowe]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Bezsenność]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Kołatanie serca]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Nie dotyczy]","13. Jakie problemy fizyczne pojawiły się u Pana/i w trakcie ostatnich 12 miesięcy izolacji domowej, które nie przejawiały się w okresie przed pandemią? (można zaznaczyć więcej niż jedną odpowiedź) [Inne]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Zachorowanie na COVID-19]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Niezdrowy tryb życia]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Stres]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Brak normalnych kontaktów społecznych]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Duża ilość czasu spędzonego przy komputerze i/lub przed telewizorem ]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Nieprawidłowa dieta]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Frustracja ]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Zbyt mała aktywność fizyczna]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Nie dotyczy]","14. Co, według Pani/a, jest przyczyną problemów fizycznych, które wystąpiły u Pani/a w trakcie trwania pandemii?  (można zaznaczyć więcej niż jedną odpowiedź) [Inne]",15. Czy przechodził(a) Pan/i COVID-19?,"16. Czy mieszkał(a) Pan/i z osobą, która przechodziła COVID-19?",17. Które z poniższych stwierdzeń dotyczą stylu Pana/i życia w okresie pandemii? [W czasie pandemii zaczęłam/zacząłem prowadzić zdrowy styl życia],17. Które z poniższych stwierdzeń dotyczą stylu Pana/i życia w okresie pandemii? [W czasie pandemii zaczęłam/zacząłem rozwijać swoje pasje i zainteresowania],17. Które z poniższych stwierdzeń dotyczą stylu Pana/i życia w okresie pandemii? [W czasie pandemii przestałam/przestałem dbać o swój wygląd],17. Które z poniższych stwierdzeń dotyczą stylu Pana/i życia w okresie pandemii? [W czasie pandemii przestałam/przestałem mieć motywację do aktywności fizycznej],17. Które z poniższych stwierdzeń dotyczą stylu Pana/i życia w okresie pandemii? [W czasie pandemii przestałam/przestałem mieć motywację do nauki i pracy],17. Które z poniższych stwierdzeń dotyczą stylu Pana/i życia w okresie pandemii? [Żadne z powyższych mnie nie dotyczy],17. Które z poniższych stwierdzeń dotyczą stylu Pana/i życia w okresie pandemii? [Inne],18. Czy pali Pan/i papierosy?,19. Czy palił(a) Pan/i papierosy przed rozpoczęciem pandemii?,20. Czy w związku z pandemią zaczęła/zaczął Pan/i palić więcej papierosów?,21. Czy spożywa Pan/i alkohol?,22. Czy spożywał(a) Pan/i alkohol przed rozpoczęciem pandemii?,23. Czy w związku z pandemią zaczęła/zaczął Pan/i spożywać więcej alkoholu?,24. Jak ocenia Pan/i sposób prowadzenia zajęć zdalnych? ,25. Jak ocenia Pan/i przygotowanie wykładowców do prowadzenia zajęć online?,26. Jak ocenia Pan/i swoją aktywność podczas zajęć zdalnych w porównaniu do zajęć stacjonarnych?,27. Ile czasu poświęca Pan/i na przygotowanie do zajęć w trybie zdalnego nauczania w porównaniu do zajęć stacjonarnych na Uniwersytecie?,"28. Czy zajęcia w trybie zdalnym są dla Pana/i bardziej czym mniej stresujące, niż zajęcia w trybie stacjonarnym?",29. Jak ocenia Pan/i dostęp do materiałów dydaktycznych niezbędnych do przedmiotów związanych z Pana/i kierunkiem studiów (np. literaturę do napisania pracy)?,30. Czy zdarzało się Panu/i korzystać z książek zamieszczonych w Internecie z naruszeniem prawa?,31. Co sądzi Pan/i o zamknięciu bibliotek na Uniwersytecie Warszawskim podczas pandemii?,31. Co sądzi Pan/i o zamknięciu bibliotek na Uniwersytecie Warszawskim podczas pandemii? [Inne], 32. Czy korzysta Pan/i z zasobów BUW-u online?,33. W jakiej formie przeprowadzane są zajęcia zdalne? (wielokrotnego wyboru) [Spotkanie online z wykładowcą],33. W jakiej formie przeprowadzane są zajęcia zdalne? (wielokrotnego wyboru) [Nagrany do wysłuchania wykład],"33. W jakiej formie przeprowadzane są zajęcia zdalne? (wielokrotnego wyboru) [Brak spotkań online, wysyłanie tylko materiałów do opracowania samodzielnego]",33. W jakiej formie przeprowadzane są zajęcia zdalne? (wielokrotnego wyboru) [Inne],34. Czy odpowiada Panu/i forma przeprowadzanych zajęć?,34. Czy odpowiada Panu/i forma przeprowadzanych zajęć? [Komentarz],35. Czy zdarzyło się Panu/i nagrywać zajęcia bez wiedzy i zgody prowadzącego?,36. W jakiej formie przeprowadzane są zaliczenia podczas nauki zdalnej? (wielokrotnego wyboru) [Test na platformie],36. W jakiej formie przeprowadzane są zaliczenia podczas nauki zdalnej? (wielokrotnego wyboru) [Odpowiedź ustna],36. W jakiej formie przeprowadzane są zaliczenia podczas nauki zdalnej? (wielokrotnego wyboru) [Praca zaliczeniowa],36. W jakiej formie przeprowadzane są zaliczenia podczas nauki zdalnej? (wielokrotnego wyboru) [Inne],37. Czy zdarzyło się Panu/i używać różnego typu “pomocy naukowych” podczas zaliczeń?,"38. Proszę określić czas jaki przeznaczał/a Pan/i na dojazdy do swojego wydziału, gdy zajęcia odbywały się stacjonarnie.",39. W jakiej formie według Pana/i powinna odbywać się edukacja na Uniwersytecie Warszawskim od 1.10.2021?,39. W jakiej formie według Pana/i powinna odbywać się edukacja na Uniwersytecie Warszawskim od 1.10.2021? [Inne],40. Czy wierzy Pan/i w istnienie pandemii COVID-19?,41. Jak często sprowadza Pan/i aktualne informacje na temat pandemii COVID-19?,42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Obowiązek zakrywania nosa i ust],"42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Obowiązek zachowania min. 1,5-metrowej odległości od innych osób]",42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Wprowadzenie „godzin dla seniorów”],42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Wprowadzenie „godziny policyjnej”],42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie żłobków i przedszkoli],42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie szkół podstawowych i średnich],42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie uczelni wyższych],42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie galerii handlowych],42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie hoteli],42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie salonów kosmetycznych i fryzjerskich],42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie restauracji i kawiarni],"42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie ośrodków kultury (np. muzea, teatry, biblioteki)]","42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie klubów, dyskotek i innych miejsc udostępnionych do tańczenia]","42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zamknięcie obiektów sportowych (np. siłownie, baseny)]",42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zakaz gromadzenia się w więcej niż 5 osób],"42. Czy uważa Pan/i za zasadne wprowadzenie w przestrzeni publicznej następujących obostrzeń: [Zakaz organizowania uroczystości oraz przyjęć okolicznościowych (np. komunie, wesela)]",43. Czy stosuje się Pan/i do obowiązku zasłania nosa i ust w przestrzeni publicznej?,44. Czy w czasie trwania epidemii (tj. od marca 2020 roku) uczestniczył/a Pan/i w jakiejkolwiek publicznej demonstracji?,45. Czy w czasie trwania epidemii (tj. od marca 2020 roku) wybrał/a się Pan/i na wyjazd turystyczny pomimo obowiązujących obostrzeń?,"46. Czy w 2021 roku zamierza Pan/i wybrać się na wyjazd turystyczny, nawet jeśli będą obowiązywać w tym czasie obostrzenia?","47. Czy uważa Pan/i, że niedostosowanie się do obowiązkowego zasłania nosa i ust w przestrzeni publicznej powinno być karane?","48. Czy uważa Pan/i, że branie udziału w demonstracji publicznej w czasie trwania pandemii powinno być karane?","49. Czy uważa Pan/i, że wprowadzone przez rząd obostrzenia naruszają podstawowe prawa i wolności obywateli?",50. Jaki ma Pan/i stosunek do szczepienia się przeciwko COVID-19?,51. Co skłoniło Pana/ią do podjęcia decyzji o szczepieniu? W tym pytaniu można wybrać więcej niż jedną odpowiedź. [Przekonanie o skuteczności szczepionki],51. Co skłoniło Pana/ią do podjęcia decyzji o szczepieniu? W tym pytaniu można wybrać więcej niż jedną odpowiedź. [Zalecenia lekarzy],51. Co skłoniło Pana/ią do podjęcia decyzji o szczepieniu? W tym pytaniu można wybrać więcej niż jedną odpowiedź. [Chęć posiadania tzw. paszportu covidowego],51. Co skłoniło Pana/ią do podjęcia decyzji o szczepieniu? W tym pytaniu można wybrać więcej niż jedną odpowiedź. [Chęć powrotu do „normalności” sprzed pandemii],51. Co skłoniło Pana/ią do podjęcia decyzji o szczepieniu? W tym pytaniu można wybrać więcej niż jedną odpowiedź. [Inne],"52. Czy w związku z przeniesieniem znacznej części aktywności do sieci w czasie pandemii, czuje się Pan/i bardziej narażony/a na stanie się ofiarą cyberprzestępstwa (np. wyłudzenia poufnych danych)?",53. Czy podczas pandemii padł/a Pan/i ofiarą oszustwa przy sprzedaży internetowej?,53. Czy podczas pandemii padł/a Pan/i ofiarą oszustwa przy sprzedaży internetowej? [Komentarz],54. Czy podczas pandemii padł/a Pan/i ofiarą tzw. phishingu*?,54. Czy podczas pandemii padł/a Pan/i ofiarą tzw. phishingu*? [Komentarz],"55. Jeśli w czasie pandemii padł/a Pan/i ofiarą cyberprzestępstwa bądź doświadczył/a próby jego dokonania, czy zostało to zgłoszone na policję?",56. Czy w związku z częstszym korzystaniem z Internetu podczas pandemii stosuje Pan/i dodatkowe  rozwiązania mające na celu ochronę przed zagrożeniami internetowymi?,56. Czy w związku z częstszym korzystaniem z Internetu podczas pandemii stosuje Pan/i dodatkowe  rozwiązania mające na celu ochronę przed zagrożeniami internetowymi? [Komentarz],"57. Czy uważa Pan/i, że negatywne emocje związane z pandemią np. stres, mogą stanowić przyczynę przemocy w rodzinie?","58. Czy podczas pandemii doświadczył/a Pan(i) ze strony domowników, któregoś z poniższych zachowań? (wielokrotnego wyboru) [przemoc fizyczna (bicie, popychanie, szarpanie, kopanie, duszenie, itd.)]","58. Czy podczas pandemii doświadczył/a Pan(i) ze strony domowników, któregoś z poniższych zachowań? (wielokrotnego wyboru) [przemoc psychiczna (obrażanie, wyzywanie, straszenie, szantażowanie, grożenie, wyśmiewanie, itd.)]","58. Czy podczas pandemii doświadczył/a Pan(i) ze strony domowników, któregoś z poniższych zachowań? (wielokrotnego wyboru) [przemoc  seksualna (wymuszanie pożycia, gwałt, zmuszanie do niechcianych praktyk seksualnych, nieliczenie się z życzeniami partnerki/partnera, itd.)]","58. Czy podczas pandemii doświadczył/a Pan(i) ze strony domowników, któregoś z poniższych zachowań? (wielokrotnego wyboru) [przemoc ekonomiczna (niszczenie rzeczy, włamanie do zamkniętego osobistego pomieszczenia, używanie rzeczy bez pozwolenia, zabieranie pieniędzy, przeglądanie dokumentów i korespondencji, itd.)]","58. Czy podczas pandemii doświadczył/a Pan(i) ze strony domowników, któregoś z poniższych zachowań? (wielokrotnego wyboru) [zaniedbanie (nie przekazywanie środków na utrzymanie, pozbawianie jedzenia, brak pomocy w chorobie, uniemożliwianie dostępu do miejsc zaspokojenia podstawowych potrzeb itd.)]","58. Czy podczas pandemii doświadczył/a Pan(i) ze strony domowników, któregoś z poniższych zachowań? (wielokrotnego wyboru) [żadnego z powyższych]",59. Czy od początku pandemii doszło do nasilenia przemocy wobec Pana/i?,"60. Jeśli doświadczył/a Pan(i) przemocy domowej podczas pandemii, czy zostało to zgłoszone na policję bądź do innej instytucji lub organizacji udzielającej pomocy ofiarom przemocy?",61. Czy w czasie pandemii doświadczył/a Pan(i) hejtu?,"62. Jeśli korzysta bądź korzystał/a Pan(i) z aplikacji rządowych (ProteGO Safe i mObywatel), to czy przy ich użytkowaniu ma bądź miał/a Pan(i) poczucie, że pańskie bezpieczeństwo w kontekście ochrony danych osobowych jest zapewnione?",63. Płeć,64. Wiek,65. Miejsce pochodzenia:,66. Miejsce zamieszkania: ,67. Sytuacja materialna:,68. Liczba osób w gospodarstwie domowym: ,69. Stopień studiów:,70. Tryb studiów,71. Rok studiów:,72. Jaki kierunek Pan/Pani studiuje? 
1,2021-07-06 09:56:02,6,pl,823319512,2021-07-06 09:53:55,2021-07-06 09:56:02,5,Zdecydowanie się polepszyły,Zdecydowanie się polepszyły,Nie zmieniły się,Tak,Nie wiem,Nie wiem,Nie wiem,Nie wiem,Nie wiem,Nie wiem,Zdecydowanie tak,Zdecydowanie tak,T,,N,T,T,T,T,T,2,2,2,2,2,2,2,2,Korzystałam/em z pomocy psychologicznej przed pandemią i korzystam nadal.,,Mój stan psychiczny się nie zmienił,Mój stan fizyczny się pogorszył,Tak,N/A,N/A,N/A,N/A,N/A,N/A,N/A,N/A,N/A,N/A,N/A,N/A,N/A,N/A,,N/A,N/A,N/A,N/A,N/A,Tak,N/A,N/A,N/A,,Tak,Trudno powiedzieć,N/A,N/A,N/A,Tak,N/A,N/A,,Trudno powiedzieć,,,Nie,Trudno powiedzieć,,3,3,3,3,Raczej bardziej stresujące,Dostęp do materiałów jest bardzo dobry,"Tak, zarówno przed pandemią, jak w trakcie",Nie wiem/ Nie korzystam z bibliotek uniwersyteckich,,Raczej nie,N/A,Tak,N/A,,Nie (która forma Panu/Pani nie odpowiada?),,Trudno powiedzieć,N/A,Tak,N/A,,Trudno powiedzieć,Powyżej godziny,Stacjonarna,,Raczej tak,Raz dziennie,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,Zdecydowanie nie,Tak,Tak,Trudno powiedzieć,Nie,Nie,Raczej tak,Zamierzam się szczepić,N/A,Tak,N/A,N/A,,Raczej tak,Trudno powiedzieć,,Tak (w komentarzu proszę podać ile razy),,Tak,Tak (proszę wpisać w komentarzu jakie),,Zdecydowanie nie,N/A,N/A,N/A,Tak,N/A,N/A,Raczej nie,Nie dotyczy,Trudno powiedzieć,Raczej tak,Kobieta,42,Wieś,Miasto powyżej 250 tys. mieszkańców,Raczej zła,42,Studia I stopnia inżynierskie,Stacjonarny (dzienny),42,42
results-survey128762.csv (23,545 bytes)   
mrozpara

mrozpara

2021-07-06 10:38

reporter   ~65224

1. When trying to export on my env - I'm getting error message (see screenshot)
2. Answers are not correct - see:
- answers_definition - screen from system with codes/text of answers
- response_details - comparison of response preview from system vs CSV that you sent
error_message.png (90,607 bytes)   
error_message.png (90,607 bytes)   
response_details.png (57,031 bytes)   
response_details.png (57,031 bytes)   
answers_definition.png (28,222 bytes)   
answers_definition.png (28,222 bytes)   
DenisChenu

DenisChenu

2021-07-06 10:51

developer   ~65225

About the error : php version ?
I'm on PHP7.3 (debian)
mrozpara

mrozpara

2021-07-06 10:56

reporter   ~65226

PHP 8.0.7
Apache/2.4.38 (Debian)
mrozpara

mrozpara

2021-07-06 12:27

reporter   ~65230

update:
I've created test env with PHP 7.3.7 - and I'm able to export CSV - with wrong response code mapping (as I believe) - but without error messages.
And as it's my private env (localhost ;) ) - I will try to do some more debugging (but after normal working hours...)
DenisChenu

DenisChenu

2021-07-06 13:38

developer   ~65233

About bad code : PHP Warning (debug=2) Illegal string offset 'answer'

Then : return null with debug = 0
mrozpara

mrozpara

2021-07-06 21:20

reporter   ~65244

I'm not a developer ... but in my opinion the problem is in file: /application/helpers/admin/export/SurveyObj.php
line 130 is:
$fullAnswer = $answers[$answerCode]['answer'];

... and should be:
$fullAnswer = $answers[$answerCode];

with such modification I'm able to export responses with the right full answers.
galads

galads

2021-07-12 12:47

administrator   ~65372

Hello,

From the discussion above, it seems this is a PHP 8.x.x issue.

The code you posted is correct @mrozpara . I cannot reproduce with PHP 7.x.x.

I will test now with PHP 8.
ollehar

ollehar

2021-07-21 17:29

administrator   ~65555

Still testing?
mrozpara

mrozpara

2021-07-30 10:55

reporter   ~65753

I'm confused... who is supposed to test it?
ollehar

ollehar

2021-07-30 10:57

administrator   ~65754

@galads was trying to reproduce this with PHP 8 but didn't finish yet, it seems.
galads

galads

2021-07-30 12:17

administrator   ~65758

I missed this somehow, I will check again with PHP 8 as soon as possible. Sorry for the delay
galads

galads

2021-08-03 14:39

administrator   ~65789

It works for me without any error.
galads

galads

2021-08-03 14:46

administrator   ~65790

Can you confirm this is still an issue?
mrozpara

mrozpara

2021-08-03 16:22

reporter   ~65792

well... after applying the change in code that I've posted few days ago - it's working fine. But with the original version of SurveyObj.php file - it's still showing error message.
galads

galads

2021-08-04 15:18

administrator   ~65821

Hello mrozpara,
I checked this with the latest version and could not reproduce it, so this is most likely fixed for good.
Therefore, I am closing this issue. Please feel free to re-open the issue if this is still an issue.
Thank you!

galads

Issue History

Date Modified Username Field Change
2021-07-05 18:48 mrozpara New Issue
2021-07-06 08:29 DenisChenu Note Added: 65213
2021-07-06 09:04 mrozpara Note Added: 65214
2021-07-06 09:04 mrozpara File Added: limesurvey_question_1089.lsq
2021-07-06 09:05 DenisChenu Note Added: 65215
2021-07-06 09:39 mrozpara Note Added: 65217
2021-07-06 09:39 mrozpara File Added: limesurvey_survey_593643.lss
2021-07-06 09:40 DenisChenu Note Added: 65218
2021-07-06 09:50 DenisChenu Note Added: 65219
2021-07-06 09:50 DenisChenu File Added: survey_archive_91424.lsa
2021-07-06 09:50 DenisChenu File Added: PHP warning.html
2021-07-06 09:58 mrozpara Note Added: 65220
2021-07-06 09:58 mrozpara File Added: survey_archive_542943.lsa
2021-07-06 10:02 DenisChenu Relationship added related to 17415
2021-07-06 10:20 DenisChenu Note Added: 65221
2021-07-06 10:20 DenisChenu File Added: results-survey128762.csv
2021-07-06 10:38 mrozpara Note Added: 65224
2021-07-06 10:38 mrozpara File Added: error_message.png
2021-07-06 10:38 mrozpara File Added: response_details.png
2021-07-06 10:38 mrozpara File Added: answers_definition.png
2021-07-06 10:51 DenisChenu Note Added: 65225
2021-07-06 10:56 mrozpara Note Added: 65226
2021-07-06 12:27 mrozpara Note Added: 65230
2021-07-06 13:38 DenisChenu Note Added: 65233
2021-07-06 21:20 mrozpara Note Added: 65244
2021-07-12 12:47 galads Note Added: 65372
2021-07-12 12:47 galads Assigned To => galads
2021-07-12 12:47 galads Status new => testing
2021-07-21 17:29 ollehar Status testing => feedback
2021-07-21 17:29 ollehar Note Added: 65555
2021-07-30 10:55 mrozpara Note Added: 65753
2021-07-30 10:55 mrozpara Status feedback => assigned
2021-07-30 10:57 ollehar Note Added: 65754
2021-07-30 12:17 galads Note Added: 65758
2021-08-03 14:39 galads Note Added: 65789
2021-08-03 14:46 galads Note Added: 65790
2021-08-03 16:22 mrozpara Note Added: 65792
2021-08-04 15:18 galads Status assigned => closed
2021-08-04 15:18 galads Resolution open => fixed
2021-08-04 15:18 galads Note Added: 65821